import { defineConfig } from "vite";
import solidPlugin from "vite-plugin-solid";
import windiCSS from "vite-plugin-windicss";
import inspect from "vite-plugin-inspect";
import solidLabels from "babel-plugin-solid-labels";
import tsconfigPaths from "vite-tsconfig-paths";

export default defineConfig({
  plugins: [
    tsconfigPaths(),
    solidPlugin({
      solid: {
        moduleName: "solid-three",
        generate: "universal",
      },
    }),
    windiCSS({
      scan: {
        fileExtensions: ["html", "js", "ts", "jsx", "tsx"],
      },
    }),
    inspect(),
  ],
  build: {
    target: "esnext",
    polyfillDynamicImport: false,
  },
});
